#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.0.3.5
visibility:           public
id:                   persistent-test-2.0.3.5-BlJHEBITxn8FX4lnMDZhUg
key:                  persistent-test-2.0.3.5-BlJHEBITxn8FX4lnMDZhUg
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  1f2589cc23fbe07e278c931599a89c2e
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MigrationColumnLengthTest
    MigrationIdempotencyTest MigrationOnlyTest MigrationTest
    MpsCustomPrefixTest MpsNoPrefixTest PersistTestPetCollarType
    PersistTestPetType PersistUniqueTest PersistentTest
    PersistentTestModels PersistentTestModelsImports PrimaryTest
    RawSqlTest ReadWriteTest Recursive RenameTest SumTypeTest
    TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-8.10.4/site-local/persistent-test-2.0.3.5
library-dirs:         /usr/lib/ghc-8.10.4/site-local/persistent-test-2.0.3.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/persistent-test-2.0.3.5
hs-libraries:         HSpersistent-test-2.0.3.5-BlJHEBITxn8FX4lnMDZhUg
depends:
    HUnit-1.6.2.0-6Qz5k8URKehKv59h9ZmD3M
    QuickCheck-2.14.2-5kAGyNKLRrIFYmj488qD59
    aeson-1.5.6.0-Hdtf8YdIqJe4Gv7Q5rRICM base-4.14.1.0
    blaze-html-0.9.1.2-1ELBltRztbLDGjYO6xhh0v bytestring-0.10.12.0
    conduit-1.3.4-7hHdJ0hANSnEOhwHWEIEBh containers-0.6.2.1
    exceptions-0.10.4 hspec-2.7.7-EgKTGam3cJ5JADnXd1YGhn
    hspec-expectations-0.8.2-4T2sv1DBBhWKyVScectlCn
    monad-control-1.0.2.3-1RA5OCv0aEC21uGHQl9lGP
    monad-logger-0.3.36-Ee7T0szj8x5IydeSweJId0 mtl-2.2.2
    path-pieces-0.2.1-8q2eB6sQVysEcd9HpZsL9B
    persistent-2.11.0.2-235ZB0nG7qHCYyYNTDkzbm
    persistent-template-2.9.1.0-JeXdzw6hkoS1XdcZ1UtBan
    quickcheck-instances-0.3.25.2-160kiYkaA5k8xj5D6XEcfu
    random-1.2.0-JaeEP4ACTucH0elcxqGZLW
    resourcet-1.2.4.2-8VlJo6yN26lBlamTMjWrHN text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2
    transformers-base-0.4.5.2-4z4YO2PNj9r50VyOFiM0Zx
    unliftio-0.2.14-IusJF8Vdrh5B3WY7D4hWun
    unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.13.0-3nLuuqaKwKc70HW85Q2c85

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

